-----------------------------------------------------------------------------------------------
-- Client Lua Script for SCBT
-- All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"

local SCBT = {} 

function SCBT:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 
    return o
end

function SCBT:Init()
    Apollo.RegisterAddon(self)
end
 
 function SCBT:OnLoad()
	Apollo.LoadSprites("Textures.xml", "SlingDingTextures")
	
	Apollo.RegisterEventHandler("GenericEvent_MediaShareLoaded", "OnMediaShareLoaded", self)
	if MediaShare then --in case MediaShare is already loaded and fired the event
		SCBT:OnMediaShareLoaded()
	end
	
end


function SCBT:OnMediaShareLoaded()
	if MediaShare then
		MediaShare.AddTexture("SlingDingTextures:AceBarFrames", "AceBar")
		MediaShare.AddTexture("SlingDingTextures:Aluminium", "Aluminium")
		MediaShare.AddTexture("SlingDingTextures:BantoBar", "BantoBar")
		MediaShare.AddTexture("SlingDingTextures:Gloss", "Gloss")
		MediaShare.AddTexture("SlingDingTextures:LiteStep", "LiteStep")
		MediaShare.AddTexture("SlingDingTextures:Minimalist", "Minimalist")
		MediaShare.AddTexture("SlingDingTextures:Rupture", "Rupture")
		MediaShare.AddTexture("SlingDingTextures:Smooth", "Smooth")
	else
		Print("MediaShare not found!")
	end
end

-----------------------------------------------------------------------------------------------
-- SCBT Instance
-----------------------------------------------------------------------------------------------
local SCBTInst = SCBT:new()
SCBTInst:Init()
